Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.security.torque
Interface GroupPeerManagerConstants

All Known Implementing Classes:
  GroupPeerManager

    public interface GroupPeerManagerConstants

Constants for configuring the various columns and bean properties for the used peer.

     Default is:

     security.torque.groupPeer.class = org.apache.turbine.services.security.torque.om.TurbineGroupPeer
     security.torque.groupPeer.column.name       = GROUP_NAME
     security.torque.groupPeer.column.id         = GROUP_ID

     security.torque.group.class = org.apache.turbine.services.security.torque.om.TurbineGroup
     security.torque.group.property.name       = Name
     security.torque.group.property.id         = GroupId

If security.torque.group.class is unset, then the value of the constant CLASSNAME_DEFAULT from the configured Peer is used.

Version:
  $Id: GroupPeerManagerConstants.java 534527 2007-05-02 16:10:59Z tv $
Author:
  Henning P. Schmiedehausen

Field Summary
`static String` | `GROUP_CLASS_KEY` The key within the security service properties for the group class implementation
`static String` | `GROUP_ID_COLUMN_DEFAULT` The default value for the column name constant for the id field.
`static String` | `GROUP_ID_COLUMN_KEY` The column name for the id field.
`static String` | `GROUP_ID_PROPERTY_DEFAULT` The default value of the bean property for the id field.
`static String` | `GROUP_ID_PROPERTY_KEY` The property name of the bean property for the id field.
`static String` | `GROUP_NAME_COLUMN_DEFAULT` The default value for the column name constant for the login name field.
`static String` | `GROUP_NAME_COLUMN_KEY` The column name for the login name field.
`static String` | `GROUP_NAME_PROPERTY_DEFAULT` The default value of the bean property for the login name field.
`static String` | `GROUP_NAME_PROPERTY_KEY` The property name of the bean property for the login name field.
`static String` | `GROUP_PEER_CLASS_DEFAULT` Group peer default class
`static String` | `GROUP_PEER_CLASS_KEY` The key within the security service properties for the group peer class implementation

Field Detail

### GROUP_CLASS_KEY

    static final String GROUP_CLASS_KEY

  The key within the security service properties for the group class implementation

  See Also:
    Constant Field Values

### GROUP_PEER_CLASS_KEY

    static final String GROUP_PEER_CLASS_KEY

  The key within the security service properties for the group peer class implementation

  See Also:
    Constant Field Values

### GROUP_PEER_CLASS_DEFAULT

    static final String GROUP_PEER_CLASS_DEFAULT

  Group peer default class

### GROUP_NAME_COLUMN_KEY

    static final String GROUP_NAME_COLUMN_KEY

  The column name for the login name field.

  See Also:
    Constant Field Values

### GROUP_ID_COLUMN_KEY

    static final String GROUP_ID_COLUMN_KEY

  The column name for the id field.

  See Also:
    Constant Field Values

### GROUP_NAME_COLUMN_DEFAULT

    static final String GROUP_NAME_COLUMN_DEFAULT

  The default value for the column name constant for the login name field.

  See Also:
    Constant Field Values

### GROUP_ID_COLUMN_DEFAULT

    static final String GROUP_ID_COLUMN_DEFAULT

  The default value for the column name constant for the id field.

  See Also:
    Constant Field Values

### GROUP_NAME_PROPERTY_KEY

    static final String GROUP_NAME_PROPERTY_KEY

  The property name of the bean property for the login name field.

  See Also:
    Constant Field Values

### GROUP_ID_PROPERTY_KEY

    static final String GROUP_ID_PROPERTY_KEY

  The property name of the bean property for the id field.

  See Also:
    Constant Field Values

### GROUP_NAME_PROPERTY_DEFAULT

    static final String GROUP_NAME_PROPERTY_DEFAULT

  The default value of the bean property for the login name field.

  See Also:
    Constant Field Values

### GROUP_ID_PROPERTY_DEFAULT

    static final String GROUP_ID_PROPERTY_DEFAULT

  The default value of the bean property for the id field.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.